PETSc version 3.15.5
Fix/Edit manual page

# TaoGetType

Gets the current Tao algorithm.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetType(Tao tao,TaoType *type)

Not Collective

### Input Parameter

| tao | - the Tao solver context

### Output Parameter

| type | - Tao method

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/constrained/tutorials/ex1.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages